*, html, body {
  font-family: 'Montserrat', sans-serif;
}

button:focus {
  outline: none !important;
}

.feather {
  /* width: 20px;
  height: 20px; */
  stroke: currentColor;
  stroke-width: 1.5;
  stroke-linecap: round;
  stroke-linejoin: round;
  fill: none;
}

.feather-xs {
  width: 16px;
  height: 16px;
}

.feather-sm {
  width: 18px;
  height: 18px;
}

.feather-xl {
  width: 40px;
  height: 40px;
}

/* i.lab {
  font-size: 24px;
}

i.las {
  font-size: 24px;
} */

.feather.feather-big {
  width: 28px;
  height: 28px;
  margin: auto;
}

.bg-pix {
  background-color: #07b385;
  cursor: pointer;
}

#logo-pix {
  width: 24px;
  height: 24px;
  fill: #fff;
  margin-right: 0.5rem !important;
}

.bg-email {
  background-color: #8b1dbf;
}

.bg-facebook {
  background-color: #1877f2;
}

.bg-whatsapp {
  background-color: #25d366;
}

.bg-phone {
  background-color: #00bd39;
}

.bg-tiktok {
  background-color: #fe2c55;
}

.bg-youtube {
  background-color: #f00;
}

.bg-spotify {
  background-color: #1db954;
}

.bg-instagram {
  background: #f09433;
  background: -moz-linear-gradient(
    45deg,
    #f09433 0%,
    #e6683c 25%,
    #dc2743 50%,
    #cc2366 75%,
    #bc1888 100%
  );
  background: -webkit-linear-gradient(
    45deg,
    #f09433 0%,
    #e6683c 25%,
    #dc2743 50%,
    #cc2366 75%,
    #bc1888 100%
  );
  background: linear-gradient(
    45deg,
    #f09433 0%,
    #e6683c 25%,
    #dc2743 50%,
    #cc2366 75%,
    #bc1888 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f09433', endColorstr='#bc1888', GradientType=1);
}

.bg-twitter {
  background-color: #1da1f2;
}

.bg-linkedin {
  background-color: #0a66c2;
}

/* width */
*::-webkit-scrollbar {
  width: 5px;
}

/* Track */
*::-webkit-scrollbar-track {
  background: white;
}

/* Handle */
*::-webkit-scrollbar-thumb {
  background: rgba(255, 255, 255, 0.2);
}

/* Handle on hover */
*::-webkit-scrollbar-thumb:hover {
  background: rgba(255, 255, 255, 0.1);
}

.bg-gradient {
  background: #8e2de2;
  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #4a00e0, #8e2de2);
  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #4a00e0, #8e2de2);
  /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
}

label.error {
  min-height: 18px;
  margin: 0 0 5px;
}

.user-name {
  position: relative;
}

#url-profile-preview {
  position: absolute;
  top: 33px;
  left: 15px;
  font-weight: 400;
  font-size: 14px;
  color: #767676;
}

form input {
  font-size: 14px;
}

.body-links {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.profile-description {
  display: block;
  font-size: 16px;
  line-height: 1.2;
  font-style: italic;
  color: white;
  max-width: 16rem;
}

.link {
  text-align: center;
  align-items: center;
}

.profile-image {
  width: 128px;
  height: 128px;
  background-color: white;
  overflow: hidden;
  /* display         : flex;
      justify-content: center;
      align-items    : center; */
}

.profile-image img {
  max-height: 128px;
  max-width: unset;
  margin: 0 auto;
}

.profile-image-bg {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  width: 128px;
  height: 128px;
}

.link.social {
  /* justify-content: flex-start; */
  /* position: relative; */
}

.link.social svg,
.link.social i,
.link.social img {
  margin-right: 0.75rem;
  /* position : absolute;
    left      : 1.5rem; */
}

.copy-pix img {
  height: 24px;
  width: auto;
}

.copy-pix svg {
  margin-left: 0.75rem;
  margin-right: 0 !important;
}

.copy-pix .key {
  display: none;
}

.copy-pix .key span {
  font-size: 12px;
  font-weight: 600;
}

.sharing-button {
  transition: 0.2s all ease-in-out;
  position: absolute;
  top: 0.75rem;
  left: 0.75rem;
  padding: 0.5rem 1rem;
  border-radius: 5px;
  color: #fff;
  background-color: rgba(255, 255, 255, 0.1);
  font-size: 0.7rem;
  z-index: 100;
}

.vcard-button {
  transition: 0.2s all ease-in-out;
  padding: 0.75rem 2rem;
  margin: 1rem 0 0;
  border-radius: 5px;
  color: #fff;
  background-color: rgba(255, 255, 255, 0.1);
  font-size: 0.7rem;
  text-transform: uppercase;
  font-weight: 600;
}

.sharing-button:hover,
.vcard-button:hover {
  background-color: rgba(255, 255, 255, 0.2);
}

#sharing-actions {}

#sharing-actions .action {
  transition: 0.2s all ease-in-out;
  text-transform: uppercase;
  margin: 0.3rem 0;
  font-size: 0.75rem;
  font-weight: 500;
  padding: 0.5rem 1rem;
  width: 100%;
  background-color: rgba(26, 32, 44, 0.05);
  border-radius: 5px;
  display: block;
}

#sharing-actions .action:hover {
  background-color: rgba(26, 32, 44, 0.1);
}

.qrcode i {
  font-size: 2rem;
}

@media print {
  .copy-pix h3,
  .sharing-button {
    display: none;
  }

  .copy-pix .key {
    display: block;
  }
}

/*     Alert    */

.alert {
  border: 0px;
  position: relative;
  padding: 0.95rem 1.25rem;
  padding-left: 50px !important;
  transition: all 0.5 ease-in-out;
  border-radius: 4px;
}

.alert [data-notify="icon"] {
  font-size: 20px;
  display: block;
  left: 15px;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

.alert [data-notify="title"] {
  display: block;
  font-weight: 600;
}

.alert [data-notify="message"] {
  font-size: 13px;
  margin-right: 40px;
}

.alert .close {
  background: rgba(130, 130, 130, 0.8);
  width: 20px;
  height: 20px;
  line-height: 21px;
  top: 17px !important;
  border-radius: 50%;
}

.alert-default,
.alert-primary,
.alert-secondary,
.alert-info,
.alert-success,
.alert-warning,
.alert-danger {
  color: #ffffff;
}

/*    Alert States    */

.alert-default {
  background-color: #282a3c;
}

.alert-primary {
  background-color: #0F57D5;
}

.alert-secondary {
  background-color: #716aca;
}

.alert-info {
  background-color: #05b4d8;
}

.alert-success {
  background-color: #35cd3a;
}

.alert-warning {
  background-color: #ffa534;
}

.alert-danger {
  background-color: #f3545d;
}

.animated {
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

@-webkit-keyframes fadeInDown {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

@keyframes fadeInDown {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
  }

  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}

.fadeInDown {
  -webkit-animation-name: fadeInDown;
  animation-name: fadeInDown;
}

@-webkit-keyframes fadeOutUp {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
  }
}

@keyframes fadeOutUp {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
  }
}

.fadeOutUp {
  -webkit-animation-name: fadeOutUp;
  animation-name: fadeOutUp;
}

.default-blur {
  -webkit-filter: blur(1px);
  filter: blur(1px);
  transform: scale(1.1);
  background-attachment: scroll;
  background-position: center;
  background-repeat: no-repeat;
}

@-webkit-keyframes rotating /* Safari and Chrome */ {
  from {
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes rotating {
  from {
    -ms-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -webkit-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  to {
    -ms-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
.rotating {
  -webkit-animation: rotating 2s linear infinite;
  -moz-animation: rotating 2s linear infinite;
  -ms-animation: rotating 2s linear infinite;
  -o-animation: rotating 2s linear infinite;
  animation: rotating 2s linear infinite;
}
